
Foreman - Feature #32678

Move katello_ca_consumer to registration template

06/01/2021 06:36 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8563

  

Description

Related issues:

Related to Katello - Feature #32841: Host registration - :rhsm_base_url helper Closed

Related to Foreman - Feature #33156: Cleanup methods after registration is done New

Associated revisions

Revision 4062e17d - 10/08/2021 09:41 AM - Leos Stejskal

Fixes #32678 - katello_ca_consumer in registration template

Move `rhsm_reconfigure` script from `katello_consumer.rpm` to

`global_registration` template so the `rpm` is not needed anymore

Migrated script is without support of RHEL5 and older

`subscription-manager` versions (0.96 and bellow)

History

#1 - 06/01/2021 07:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8563 added

#2 - 06/21/2021 08:23 AM - Leos Stejskal

- Related to Feature #32841: Host registration - :rhsm_base_url helper added

#3 - 07/27/2021 02:10 PM - Leos Stejskal

- Related to Feature #33156: Cleanup methods after registration is done added

#4 - 08/09/2021 01:25 PM - Leos Stejskal

- Triaged changed from No to Yes

#5 - 10/08/2021 09:41 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#6 - 10/08/2021 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4062e17d18d9b0c1c48177e2969c7ff6190afb56.
